Subject: RE: perl 5.6.* package
From: YAPP James <[email-masked]>
To: [email-masked]
Date: Mon, 6 Sep 2004 16:53:02 +0200

Hi Reini,

Thanks for sharing your experience.
I might just as well give it a try.

Cheers

> -----Original Message-----
> From: Reini Urban [mailto:[email-masked]]
> Sent: Monday, September 06, 2004 4:37 PM
> To: YAPP James
> Cc: [email-masked]
> Subject: Re: perl 5.6.* package
> 
> 
> YAPP James schrieb:
> > Thought I read there're problems with perl 5.8 on windows?
> > http://twiki.org/cgi-bin/view/TWiki/WindowsInstallCookbook
> > 
> > Under the Scope section, it's printed in bold "_don't_ use 
> Perl 5.8.0 yet"
> > 
> > Have you tried it? It would be great if it works. 
> 
> The last time I tried it it worked ok. They shouldn't give impossible 
> advices.
> 
> perl UTF issues are solved for a long time now.
> And I don't know of any outstanding CGI.pm bug. (summer 2003)
> 
> They do recommend:
> cywin-1.3.9, Apache 1.3.27,  Cygwin perl-5.6.1-2
> 
> But I a have much better apache setup than they recommend.
> For example they recommend also:
> 
> "You must use the Cygwin shell to do this (unless you are a 
> Perl expert) 
> - don't use the Windows command shell, cmd.exe (aka DOS 
> Prompt). Change 
> #!/usr/bin/perl -wT to #!c:/cygwin/bin/perl -wT . Example 
> script to do 
> this (explanation):
>      * $ perl -pi~ -e 
> 's;#!/usr/bin/perl;#!c:/cygwin/bin/perl;' *[a-z]"
> 
> This for example is easily circumvented by using the
> "ScriptInterpreterSource registry" directive in the twiki apache 
> <Directory> section or by using the old cygwin apache.
> 
> Sorry, I won't give more advice.
> I have pretty much to do on my own phpwiki, than fixing twiki 
> and perl 
> installation problems.
> Any modern WAMP installer does a decent job with a typical 
> apache/perl 
> installation.
> 
> ask at the twiki mailinglists.
> 
> >>-----Original Message-----
> >>From: Reini Urban [mailto:[email-masked]]
> >>Sent: Monday, September 06, 2004 12:58 PM
> >>To: [email-masked]
> >>Subject: Re: perl 5.6.* package
> >>
> >>
> >>YAPP James schrieb:
> >>>I need it to run Twiki on windows
> >>
> >>twiki will run better with the latest perl 5.8.5
> >>
> >>
> >>>>-----Original Message-----
> >>>>From: Yitzchak Scott-Thoennes [mailto:[email-masked]]
> >>>>Sent: Monday, September 06, 2004 12:25 PM
> >>>>To: [email-masked]
> >>>>Subject: Re: perl 5.6.* package
> >>>>
> >>>>
> >>>>On Mon, Sep 06, 2004 at 12:17:01PM +0200, YAPP James wrote:
> >>>>>How/Where can I download an older version of the perl package?
> >>>>
> >>>>Why would you want to?  google for a perl-5.6.1-2.tar.bz2 from a
> >>>>stale mirror?  (That's the latest one I have any record of, don't
> >>>>know if there was a 5.6.1-3.)
> 
> -- 
> Reini Urban
> http://xarch.tu-graz.ac.at/home/rurban/
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/